<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/RawFile/RawFile.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.RawFile.RawFile</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../RawFile.html" >RawFile</a>
</div><div class="class-name">class RawFile

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/RawFile.py.html" target="detail">../Synopsis/Formatters/HTML/Views/RawFile.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line16" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="RawFile-inheritance" src="RawFile-inheritance.png" hspace="8" vspace="8" border="0" usemap="#RawFile-inheritance_map" />
<map name="RawFile-inheritance_map"></map>
 <div class="doc">A module for creating a view for each file with hyperlinked source</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="RawFile.html#_get_files" >_get_files</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile._get_files" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line37" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of &#40;path&#44; output_filename&#41; for each file.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="src_dir">src_dir</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line19" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="base_path">base_path</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line20" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="exclude">exclude</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line21" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line23" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line29" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="RawFile.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line65" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for every file.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line71" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="RawFile.html#process_file" >process_file</a></span>(<span class="variable">self</span>, <span class="variable">original</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.process_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line76" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given filename.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_get_files">_get_files</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile._get_files" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line37" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of &#40;path&#44; output_filename&#41; for each file.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line65" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for every file.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_file">process_file</a>(<span class="variable">self</span>, <span class="variable">original</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.RawFile.RawFile.process_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/RawFile.py.html#line76" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given filename.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
